%define upstream_name    XML-Fast
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Summary:    Simple and very fast XML - hash conversion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module implements simple, state machine based, XML parser written in
C.

It could parse and recover some kind of broken XML's. If you need XML
validator, use the XML::LibXML manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorarch/XML/*
%perl_vendorarch/auto/XML/*


%changelog
* Thu Jun 18 2020 umeabot <umeabot> 0.170.0-7.mga8
+ Revision: 1595672
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.170.0-6.mga8
+ Revision: 1530170
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.170.0-5.mga8
+ Revision: 1433953
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.170.0-4.mga7
+ Revision: 1294055
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.170.0-3.mga7
+ Revision: 1248674
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.170.0-2.mga7
+ Revision: 1167456
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.170.0-1.mga7
+ Revision: 1157103
- new version 0.17

* Thu Aug 31 2017 pterjan <pterjan> 0.110.0-11.mga7
+ Revision: 1149437
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.110.0-10.mga7
+ Revision: 1127556
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-9.mga6
+ Revision: 1035982
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-8.mga6
+ Revision: 958243
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.110.0-7.mga6
+ Revision: 845549
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.110.0-6.mga6
+ Revision: 841214
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 790212
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 739074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 686919
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.110.0-2.mga5
+ Revision: 631880
- Rebuild for perl 5.20

* Sun Mar 30 2014 shlomif <shlomif> 0.110.0-1.mga5
+ Revision: 610401
- Import perl-XML-Fast


* Tue Jan 22 2013 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
